org.apache.hc.client5.http

## Class EndpointInfo

- java.lang.Object
- - org.apache.hc.client5.http.EndpointInfo

    public final class EndpointInfo
    extends Object

Since:
  5.4

### Constructor Summary

Constructors
Constructor and Description
`EndpointInfo(org.apache.hc.core5.http.ProtocolVersion protocol, SSLSession sslSession)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.hc.core5.http.ProtocolVersion` `getProtocol()`
`SSLSession` `getSslSession()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### EndpointInfo

    @Internal
    public EndpointInfo(org.apache.hc.core5.http.ProtocolVersion protocol,
                                  SSLSession sslSession)

### Method Detail

#### getProtocol

    public org.apache.hc.core5.http.ProtocolVersion getProtocol()

#### getSslSession

    public SSLSession getSslSession()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`